<?php

use PHPMailer\PHPMailer\PHPMailer;

//Librairie de fonctions
require ("vendor/autoload.php");
require ("lib/libconfig.inc.php");
require 'lib/phpmailer2/src/Exception.php';
require 'lib/phpmailer2/src/PHPMailer.php';
require 'lib/phpmailer2/src/SMTP.php';

function envoyerCourriel($adresseemployeur, $employeur, $adresseutilisateur, $utilisateur, $sujet, $message, $affichage, $accuse = null, $piece = null) {
    $mail = new PHPMailer();
    $body = preg_replace("[\]", '', $message);

    $mail->SetFrom($_SESSION['adressecourriel'], $_SESSION["syndicatnom"]);
    if ($accuse != null) {
        $mail->ConfirmReadingTo = $accuse;
    }
    if ($piece != null) {
        $mail->AddStringAttachment($piece, 'liberations.pdf', 'base64', 'application/pdf');
    }
    $mail->AddAddress($adresseemployeur, $employeur);

    if (!empty($adresseutilisateur)) {
        $mail->AddAddress($adresseutilisateur, $utilisateur);
    }
    $mail->Subject = $sujet;
    $mail->MsgHTML($body);

    if (!$mail->Send()) {
        print "Erreur de courriel : " . $mail->ErrorInfo;
    } else {
        if ($affichage) {
            print"<center>Message envoy&eacute; &agrave;<br>";
            print "$employeur ($adresseemployeur)";
            if (!empty($adresseutilisateur)) {
                print "<br> et &agrave;<br>";
                print "$utilisateur ($adresseutilisateur)";
            }
            print "<br><br>";
            print "<input type='button' onclick='javascript:window.close();' value='Fermer'><br><br>";
        }
    }
}

function envoieCourriel($adresse, $utilisateur, $sujet, $message) {
    $mail = new PHPMailer();
    $mail->isSMTP();

    //Pour fin de débogage si nécessaire
    //$mail->SMTPDebug = SMTP::DEBUG_SERVER;

    $mail->Host = $_ENV["LIBERATION_SERVER"];
    $mail->Port = $_ENV["LIBERATION_PORT"];
    $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;
    $mail->SMTPAuth = true;
    $mail->Username = $_ENV["LIBERATION_ADRESSE"];
    $mail->Password = $_ENV["LIBERATION_PW"];
    $mail->setFrom($_ENV["LIBERATION_ADRESSE"], 'Liberations');
    $mail->addReplyTo($_ENV["RECEPTION_ADRESSE"], 'Administration SIIIEQ');
    $mail->AddAddress($adresse, $utilisateur);
    $mail->Subject = $sujet;
    $mail->MsgHTML($message);
    $mail->AltBody = $message;

    //send the message, check for errors
    if (!$mail->send()) {
        return 'Erreur de courriel : ' . $mail->ErrorInfo;
    } else {
        return 'Message envoyé';
    }
}

function envoyerTokenParCourriel($adresseutilisateur, $utilisateur, $message) {
    $mail = new PHPMailer();
    $mail->setLanguage('fr', 'lib/phpmailer2/language/');
    $mail->SetFrom($_ENV["LIBERATION_ADRESSE"], "LIBERATIONS");
    $mail->AddAddress($adresseutilisateur, $utilisateur);
    $mail->Subject = "Code vérification";
    $mail->MsgHTML($message);
    $mail->Send();
}
